ReferenceAdmin
Dry run of a rule change (platform admins and auditors; changes nothing)
POST
/v1/admin/group-mapping/previewWho a new rule (group, team, role), an existing rule's new group and role (ruleId, group, role), or deleting a rule (ruleId, delete) would add, raise, lower or remove, from each person's groups at their last sign-in. Also lists matching people left alone: members added by hand (manual) and a team's last owner (last_owner).
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/admin/group-mapping/preview" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "team": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string" }, "changes": [ { "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "displayName": "string", "status": "active" }, "kind": "add", "from": "owner", "to": "owner", "groupsSeenAt": "2019-08-24T14:15:22Z" } ] }}